aboutsummaryrefslogtreecommitdiff
path: root/net.Linux/vlan.sh
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2007-11-22 13:31:19 +0000
committerRoy Marples <roy@marples.name>2007-11-22 13:31:19 +0000
commit5f37abddde55ee5ec2afb4e2b565326261bbc976 (patch)
tree77518cab6bfcb1ba0ae048f982df9a26f96d8927 /net.Linux/vlan.sh
parent09c5e5d415d5813f49d871dc0712212a92a695ed (diff)
Use yesno for more robustness
Diffstat (limited to 'net.Linux/vlan.sh')
-rw-r--r--net.Linux/vlan.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/net.Linux/vlan.sh b/net.Linux/vlan.sh
index b3b82eab..2410b950 100644
--- a/net.Linux/vlan.sh
+++ b/net.Linux/vlan.sh
@@ -99,7 +99,7 @@ vlan_post_start() {
# We may not want to start the vlan ourselves
eval s=\$vlan_start_${IFVAR}
- [ "${s:-yes}" != "yes" ] && continue
+ yesno ${s:-yes} || continue
# We need to work out the interface name of our new vlan id
local ifname="$( \